# DoubleClick Bid Manager API allows users to manage and create campaigns and reports.

- [REST Resource: v2.queries](https://developers.google.com/bid-manager/reference/rest#v2.queries)
- [REST Resource: v2.queries.reports](https://developers.google.com/bid-manager/reference/rest#v2.queries.reports)

## Service: doubleclickbidmanager.googleapis.com

To call this service, we recommend that you use the Google-provided [client libraries](https://cloud.google.com/apis/docs/client-libraries-explained). If your application needs to use your own libraries to call this service, use the following information when you make the API requests.

### Discovery document

A [Discovery Document](https://developers.google.com/discovery/v1/reference/apis) is a machine-readable specification for describing and consuming REST APIs. It is used to build client libraries, IDE plugins, and other tools that interact with Google APIs. One service may provide multiple discovery documents. This service provides the following discovery document:

- <https://doubleclickbidmanager.googleapis.com/$discovery/rest?version=v2>

### Service endpoint

A [service endpoint](https://cloud.google.com/apis/design/glossary#api_service_endpoint) is a base URL that specifies the network address of an API service. One service might have multiple service endpoints. This service has the following service endpoint and all URIs below are relative to this service endpoint:

- `https://doubleclickbidmanager.googleapis.com`

## REST Resource: [v2.queries](https://developers.google.com/bid-manager/reference/rest/v2/queries)

| Methods ||
|---|---|
| `https://developers.google.com/bid-manager/reference/rest/v2/queries/create` | `POST /v2/queries` Creates a new query. |
| `https://developers.google.com/bid-manager/reference/rest/v2/queries/delete` | `DELETE /v2/queries/{queryId}` Deletes an existing query as well as its generated reports. |
| `https://developers.google.com/bid-manager/reference/rest/v2/queries/get` | `GET /v2/queries/{queryId}` Retrieves a query. |
| `https://developers.google.com/bid-manager/reference/rest/v2/queries/list` | `GET /v2/queries` Lists queries created by the current user. |
| `https://developers.google.com/bid-manager/reference/rest/v2/queries/run` | `POST /v2/queries/{queryId}:run` Runs an existing query to generate a report. |

## REST Resource: [v2.queries.reports](https://developers.google.com/bid-manager/reference/rest/v2/queries.reports)

| Methods ||
|---|---|
| `https://developers.google.com/bid-manager/reference/rest/v2/queries.reports/get` | `GET /v2/queries/{queryId}/reports/{reportId}` Retrieves a report. |
| `https://developers.google.com/bid-manager/reference/rest/v2/queries.reports/list` | `GET /v2/queries/{queryId}/reports` Lists reports generated by the provided query. |